unit CommonUnit;

interface

uses
  Aurelius.Mapping.Attributes;

type
  [Entity]
  [Table('TBL_MS_LINE')]
  TTblMsLine = class
  private
    [Column('MS_STR_ID', [TColumnProp.Required, TColumnProp.NoUpdate])]
    FMS_STR_ID: Integer;

    [Column('DEPT_CD', [TColumnProp.Required, TColumnProp.NoUpdate], 20)]
    FDEPT_CD: string;

    [Column('LINE_CD', [TColumnProp.Required, TColumnProp.NoUpdate], 20)]
    FLINE_CD: string;

    [Column('LINE_NM', [TColumnProp.Required], 200)]
    FLINE_NM: string;
  public
    property MS_STR_ID: Integer read FMS_STR_ID write FMS_STR_ID;
    property DEPT_CD: string read FDEPT_CD write FDEPT_CD;
    property LINE_CD: string read FLINE_CD write FLINE_CD;
    property LINE_NM: string read FLINE_NM write FLINE_NM;
  end;

//  [Entity, Automapping]
//  TCustomer = class
//  private
//    FId: TGuid;
//    FName: string;
//  public
//    property Id: TGuid read FId write FId;
//    property Name: string read FName write FName;
//  end;

implementation

end.
